#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    long long n, q, l, r;
    bool used, can;
    cin>>n;
    long long a[n+3];
    for(int i=0;i<n;i++)
        cin>>a[i];
    cin>>q;
    for(int i=0;i<q;i++)
    {
        cin>>l>>r;
        used=false;
        can=true;
        for(int k=l-1;k<r-1;k++)
            if(a[k]>a[k+1])
            {
                if(!used)
                    used=true;
                else
                    can=false;
            }
        if(can)
            cout<<"DA"<<endl;
        else
            cout<<"NE"<<endl;
    }
    return 0;
}